Download it now!
Bug 80439 - LOCALHELP: write help page for NETWORKDAYS.INTL and WORKDAY.INTL spreadsheet functions
Summary: LOCALHELP: write help page for NETWORKDAYS.INTL and WORKDAY.INTL spreadsheet ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2014-06-24 00:53 UTC by Olivier Hallot
Modified: 2016-10-25 15:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Help documentation for Two Time & Date functions: 1) NETWORKDAYS.INTL and 2) WORKDAY.INTL (6.04 KB, text/plain)
2016-10-21 20:51 UTC, Chandanathil P. Geevan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2014-06-24 00:53:11 UTC
Write help page for 

NETWORKDAYS.INTL and WORKDAY.INTL spreadsheet functions
Comment 1 Buovjaga 2014-11-08 15:36:39 UTC
Confirmed.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: c989f5e0e11e295b11ffc921b0d105869e037e47
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-07_22:50:48
Comment 2 QA Administrators 2016-01-17 20:02:17 UTC Comment hidden (obsolete)
Comment 3 Chandanathil P. Geevan 2016-10-21 11:23:49 UTC
Help file needs to be updated for the functions WORKDAY.INTL, NETWOKDAYS.INTL, etc. The values valid for weekends (Sat&Sun; Sun&Mon, ...) and one-day weekends for 6-day weeks (Sunday-only, ... Sat-only) are not given in the contextual help. Values are 1 to 7; 11 to 17.
Perhaps, there is a need to update help files for the newer versions. How can we get involved?
Comment 4 Chandanathil P. Geevan 2016-10-21 11:24:54 UTC Comment hidden (obsolete)
Comment 5 Olivier Hallot 2016-10-21 11:34:22 UTC
(In reply to Chandanathil P. Geevan from comment #4)
> Help file needs to be updated for the functions WORKDAY.INTL,
> NETWOKDAYS.INTL, etc. The values valid for weekends (Sat&Sun; Sun&Mon, ...)
> and one-day weekends for 6-day weeks (Sunday-only, ... Sat-only) are not
> given in the contextual help. Values are 1 to 7; 11 to 17.
> Perhaps, there is a need to update help files for the newer versions. How
> can we get involved?

welcome and thanks for the comments.
Two ways to help us to fix that:

Easy way: Write a simple text document with the contents of the help page. You can copy the existing contents and add the updates. Then attach your document here and I'll transform it into a help page. On committing to the code, the authorship will be yours. 

Hard way: Do the help page yourself. Then you have to follow the instructions of the page
https://wiki.documentfoundation.org/HelpContent
Comment 6 Chandanathil P. Geevan 2016-10-21 20:51:42 UTC
Created attachment 128141 [details]
Help documentation for Two Time & Date functions: 1) NETWORKDAYS.INTL and 2) WORKDAY.INTL

Simple text document. Help documentation for two time and date functions: 1) NETWORKDAYS.INTL and 2) WORKDAY.INTL
Comment 7 Olivier Hallot 2016-10-24 03:11:18 UTC
Patch submitted in gerrit

https://gerrit.libreoffice.org/#/c/30217/2
Comment 8 Commit Notification 2016-10-24 17:50:13 UTC
Chandanathil P. Geevan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=b560ca36513ef209b23081dc5b971d30dd60e5f1

tdf#80439 Help pages for (NET)WORKDAYS.INTL
Comment 9 Commit Notification 2016-10-25 15:21:45 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=f0c69d271ed0811c3e2a6198669662f1e2f40d73

tdf#80439 add bookmark for WORKDAYS.INTL